Chez oim, forum libreChez oim, forum libre

 



Répondre

Attention — 40 nouvelles réponses ont été postées pendant que vous lisiez votre message. Vous devriez peut-être relire votre message avant de l'envoyer, pour éviter toute redondance.
Nom:
E-mail:
Titre:
Icône du message:

Cacher les smileys
Vérification:
Remplissez les détails de vérification anti robot (captcha).
Ecouter les lettres / Demander une autre image

Remplissez les détails de vérification anti robot (captcha).:
Paul possède un jouet jaune. Qu'elle est la couleur du jouet de Paul ?:

Raccourcis : tapez [ALT]+[S] pour poster ou [ALT]+[P] pour prévisualiser


Résumé de la discussion

Posté par: Otomatic
« le: jeudi 04 juillet 2019, 09:38 »

J'ai du voir passer en volant une 7.4 de Php
PHP 7.4.0 alpha2. Addons Wampserver prêts, si pas trop de changements avec la version finale.
Posté par: maximus23
« le: jeudi 04 juillet 2019, 07:48 »

Bonjour,

Pas mal de redistributions vont devenir obsolètes car elles seront rétrocédées sur les nouvelles mises à jour.

J'ai du voir passer en volant une 7.4 de Php ils veulent nous tuer on a même plus le temps de s'adapter à toutes les modifications.

Pour WampServer je repasse tout en unicode avec un adaptatif des codes et des librairies le tout sera autonome et aux nouvelles normes.

En plus il y a un nouveau code de liaison avec Inno Setup 6.x qui sera modernisé.

Dès que sera prêt (un bon mois de travail à son aise) on fera quelques tests et je publierai tout ce qui le peut-être en mode public.

:)
Posté par: alex
« le: mercredi 03 juillet 2019, 18:30 »

En parlant de Wamp, vous savez qu'il est possible d'installer tous les VC++ en une seule ligne de commande ?

Il suffit d'installer Chocolatey ou Choco, comme j'en avais déjà parlé il y a quelques temps.
Ensuite, c'est très simple, il suffit d'installer tous les VC++ pour Windows Microsoft. C'est beaucoup moins emmerdant que de récupérer la liste exigée par Wamp.

Code
choco install vcredist-all -y
Et voilà, c'est fini ! :)

Vous aurez les VCredist 2005, 2008, 2010, 2012, 2013, 2015 & 2017 pour 32 et 64bit.
Bref, vous aurez tout ce qu'il faut en une seule ligne ! Et pour les mises à jour, ce sera pareil :

Code
choco upgrade all -y
Et hop ! ;)


Attention !
Par contre, n'installez pas Wamp avec choco, on dirait qu'ils ont laissé tomber.
La dernière version publiée est du 21/09/2014...
Posté par: Otomatic
« le: mercredi 03 juillet 2019, 10:44 »

Bonjour,

PHP 7.2.20 et 7.3.7
Posté par: alex
« le: mardi 02 juillet 2019, 07:13 »

Ah ben oui, oui, oui. ^-^
Posté par: maximus23
« le: lundi 01 juillet 2019, 21:17 »

Je ne comprends pas qu'on puisse avancer avec un code sans garder les traces de ses différentes versions. Au moins, ça permet de revenir en arrière en cas de grosse boulette.
Pas de soucis on a toujours l'historique complet qui est gardé en mode auto.

Enfin bref, démerdez-vous, mais ne nous sortez pas 3 versions différentes qui portent le même N°, comme le dernier Apache...Vous devriez absolument vous mettre au versionning à l'aide de Git, par exemple.

Apache y en a 4 -->> 2 en VC14/15 et 2 en VS16 et on fait X2 pour le tout car 32 et 64 bits tout cela pour une version.

Pour le moment je laisse toujours en fonction la portabilité des versions. Là si on passe en 32/64 xp serait hors service je n'en vois d'ailleurs plus l'utilité.

Pour les versions je verrais la première finie en 3.1.0.1 pour suivre avec WampServer qui est en 3.xxx.

Mais bon on verra cela au final.

:)
Posté par: alex
« le: lundi 01 juillet 2019, 14:31 »

Tu pourrais faire des versions selon les Windows.
Par exemple :
2.1.X.6
2.1.7.6
2.1.10.6


Ce serait les version 2.1.X pour XP, 2.1.7 pour Seven et 2.1.10 pour Win10.
Le dernier nombre étant le numéro de sous version de l'outil pour l'OS.

Par exemple, une modif mineure pour Win10 serait :
2.1.10.7

Et une version importante :
2.2.10.1

Voir une refonte complète :
3.1.10.1


Enfin bref, démerdez-vous, mais ne nous sortez pas 3 versions différentes qui portent le même N°, comme le dernier Apache...
Vous devriez absolument vous mettre au versionning à l'aide de Git, par exemple.

Je ne comprends pas qu'on puisse avancer avec un code sans garder les traces de ses différentes versions. Au moins, ça permet de revenir en arrière en cas de grosse boulette.
Posté par: Otomatic
« le: lundi 01 juillet 2019, 12:52 »

Tu veux cela ou exactement ? Là j'ai besoin de dessin car j'ai perdu pas mal de neurones dans toute cette chaleur.
Moi aussi, j'ai les neurones en surchauffe  :jq: la version y est déjà  :??  — quel :it: je fais !
Posté par: maximus23
« le: lundi 01 juillet 2019, 12:25 »

Bonjour,

Je suis en train de refaire la dernière librairie et toutes les corrections sont faites pour la mise en conformité de codage avec Windows 10.

Dans le About Aestan Tray Menu, ne pourrais-tu pas ajouter le numéro de version du fichier ?

Tu veux cela ou exactement ? Là j'ai besoin de dessin car j'ai perdu pas mal de neurones dans toute cette chaleur. :jq:  :ka:

On commence à respirer juste 30°  ^-^

Bonne journée.

:)
Posté par: Otomatic
« le: samedi 29 juin 2019, 18:26 »

Donc là il faut chercher et refaire un complément d'informations si cela est encore utile ?
En ce qui me concerne, l'utilité est très relative, sauf peut-être pour savoir s'il n'y aurait pas d'autres paramètres pour les menus que ceux qui sont indiqués dans l'aide actuelle.
Mais, est-ce vraiment la peine de se pencher la-dessus ? Ce qui importe c'est que l'exe soit pérenne avec les évolutions de Windows et des VC++

Page générée en 0.119 secondes avec 21 requêtes.